# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-squaremap
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global alphatag b3

Name:           python-module-squaremap
Version:        1.0.1
Release:        alt1_0.3.%{alphatag}
Summary:        SquareMap for wxPython

Group:          Development/Python
License:        BSD
URL:            https://launchpad.net/squaremap
Source0:        http://pypi.python.org/packages/source/S/SquareMap/SquareMap-%{version}%{alphatag}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info


%description
A simple wxPython control to display hierarchic data as a recursive set of
nested squares, each of which represents the relative size of a given child
within its parent.

%prep
%setup -q -n SquareMap-%{version}%{alphatag}

# Delete pre-built egg-info:
rm -rf *.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# squaremap.py can be run as a script, for testing purposes; it shows file
# sizes within a directory:
chmod +x $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/squaremap/squaremap.py
 
%files
%doc
%{python_sitelibdir_noarch}/squaremap
%{python_sitelibdir_noarch}/SquareMap-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_0.3.b3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_0.2.b3
- initial fc import

